跳转到主要内容
存储管理/数据存储相关接口/分布式存储相关接口
GETDistributed Storage Related Interfaces起始版本 0.6同步需要认证

查询分布式存储存储池

查询分布式存储存储池

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • primaryStorageUuidString必填

      数据存储UUID

    • poolNameString必填

      池名称。

    • aliasNameString必填

      暂无描述。

    • descriptionString必填

      资源的详细描述

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • typeString必填

      类型。

    • usedCapacityLong必填

      已使用容量。

    • replicatedSizeInteger必填

      暂无描述。

    • availableCapacityLong必填

      可用容量。

请求地址

GET/zstack/v1/primary-storage/ceph/pools

/zstack/v1/primary-storage/ceph/pools

操作 ID

QueryCephPrimaryStoragePool

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/primary-storage/ceph/pools' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "primaryStorageUuid": "d0e638ede3263a9080c41ce860106043", "poolName": "test pool", "aliasName": "alias test pool", "description": "high performance", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "type": "Data" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史